# Class BeanContextSupport.BCSIterator

java.lang.Object
java.beans.beancontext.BeanContextSupport.BCSIterator

All Implemented Interfaces:
  `Iterator<Object>`

Enclosing class:
  `BeanContextSupport`

protected static final class BeanContextSupport.BCSIterator extends Object implements Iterator<Object>
protected final subclass that encapsulates an iterator but implements a noop remove() method.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Returns `true` if the iteration has more elements.
`Object`
`next()`
Returns the next element in the iteration.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

### Methods declared in interface Iterator

`forEachRemaining, remove`
Modifier and Type
Method
Description
`default void`
`forEachRemaining(Consumer<? super Object> action)`
Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
`default void`
`remove()`
Removes from the underlying collection the last element returned by this iterator (optional operation).

## Method Details

### hasNext

public boolean hasNext()
Description copied from interface: `Iterator`
Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iterator.next()` would return an element rather than throwing an exception.)

Specified by:
  `hasNext` in interface `Iterator<Object>`
Returns:
  `true` if the iteration has more elements

### next

public Object next()
Description copied from interface: `Iterator`
Returns the next element in the iteration.

Specified by:
  `next` in interface `Iterator<Object>`
Returns:
  the next element in the iteration